EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ContainerUsage_GetUsage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ContainerUsage',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets usage information for the specified container image.'
GO

IF OBJECT_ID('[ContainerUsage_GetUsage]') IS NOT NULL DROP PROCEDURE [ContainerUsage_GetUsage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ContainerUsage_GetUsage]
(
	@Feed_Id INT,
	@Image_Id VARCHAR(128)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT CU.*
	  FROM [ContainerUsage] CU
	       INNER JOIN [FeedPackageContainerScanners] FPCS
		           ON FPCS.[PackageContainerScanner_Id] = CU.[PackageContainerScanner_Id]
	 WHERE [Image_Id] = @Image_Id
	   AND FPCS.[Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [ContainerUsage_GetUsage] TO [ProGetUser_Role]
GO