EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackagesV2_GetPackageIds',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NuGetPackagesV2_PackageIds',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the package IDs in a feed.'
GO

IF OBJECT_ID('[NuGetPackagesV2_GetPackageIds]') IS NOT NULL DROP PROCEDURE [NuGetPackagesV2_GetPackageIds]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NuGetPackagesV2_GetPackageIds]
(
	@Feed_Id INT,
	@StartsWith_Text VARCHAR(255) = NULL
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT *
	  FROM [NuGetPackagesV2_PackageIds]
	 WHERE @StartsWith_Text IS NULL OR [Package_Id] LIKE (@StartsWith_Text + '%')

END
GO

GRANT EXECUTE ON [NuGetPackagesV2_GetPackageIds] TO [ProGetUser_Role]
GO
