EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RpmPackages_GetPackage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'RpmPackages,RpmPackageVersions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a package and its versions.'
GO

IF OBJECT_ID('[RpmPackages_GetPackage]') IS NOT NULL DROP PROCEDURE [RpmPackages_GetPackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RpmPackages_GetPackage]
(
	@Feed_Id INT,
	@Architecture_Name VARCHAR(50),
	@Package_Name VARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [RpmPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Architecture_Name] = @Architecture_Name
	   AND [Package_Name] = @Package_Name

	SELECT RPV.*
	  FROM [RpmPackageVersions] RPV
		   INNER JOIN [RpmPackages] RP
		           ON RP.[RpmPackage_Id] = RPV.[RpmPackage_Id]
	 WHERE RP.[Feed_Id] = @Feed_Id
	   AND [Architecture_Name] = @Architecture_Name
	   AND RP.[Package_Name] = @Package_Name

END
GO

GRANT EXECUTE ON [RpmPackages_GetPackage] TO [ProGetUser_Role]
GO