EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'UserConfiguration_GetUserConfiguration',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'UserConfiguration',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the a complete list of user configuration settings'
GO

IF OBJECT_ID('[UserConfiguration_GetUserConfiguration]') IS NOT NULL DROP PROCEDURE [UserConfiguration_GetUserConfiguration]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [UserConfiguration_GetUserConfiguration] 
(
	@User_Name USERNAME = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [UserConfiguration]
	 WHERE (@User_Name IS NULL OR [User_Name] = @User_Name)
	ORDER BY [User_Name], [Key_Name]

END
GO

GRANT EXECUTE ON [UserConfiguration_GetUserConfiguration] TO [ProGetUser_Role]