EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Webhooks_GetWebhooks',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Webhooks_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets webhooks (optionally filtered by feed).'
GO

IF OBJECT_ID('[Webhooks_GetWebhooks]') IS NOT NULL DROP PROCEDURE [Webhooks_GetWebhooks]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [Webhooks_GetWebhooks]
(
	@Feed_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [Webhooks_Extended]
	 WHERE @Feed_Id IS NULL OR @Feed_Id = [Feed_Id]

END
GO

GRANT EXECUTE ON [Webhooks_GetWebhooks] TO [ProGetUser_Role]
GO